La versión de hardware de una máquina virtual refleja las características de hardware virtual compatibles con la máquina virtual. Estas características corresponden al hardware físico disponible en el host ESXi en el que se crea la máquina virtual. Las características de hardware virtual incluyen el BIOS y la EFI, las ranuras de PCI virtuales disponibles, la cantidad máxima de CPU, la configuración máxima de memoria y otras características típicas del hardware.

Cuando se crea una máquina virtual, se puede aceptar la versión de hardware predeterminada, que corresponde al host en el que se crea la máquina virtual o una versión anterior. Se puede utilizar una versión de hardware anterior en las situaciones siguientes:

  • Para estandarizar las pruebas y la implementación en el entorno virtual.

  • Si no se necesitan las funcionalidades de la versión más nueva.

  • Para mantener la compatibilidad con hosts anteriores.

Las máquinas virtuales con versiones de hardware anteriores a la versión 11 pueden ejecutarse en hosts ESXi 6.0, pero no tienen todas las funcionalidades disponibles en la versión de hardware 11. Por ejemplo, no se pueden utilizar 128 procesadores virtuales o 4080 GB de memoria en máquinas virtuales con versiones de hardware anteriores a la versión 11.

vSphere Web Client y vSphere Client permiten actualizar las máquinas virtuales solo a la versión de hardware más reciente. Si no es necesario que las máquinas virtuales mantengan la compatibilidad con hosts ESX/ESXi anteriores, es posible actualizarlas en hosts ESXi 6.0. En este caso, se actualizan a la versión 11.

  • Para mantener la compatibilidad de las máquinas virtuales con los hosts ESX/ESXi 3.5, actualice la máquina virtual en un host ESX/ESXi 3.5, lo que provoca una actualización de la máquina virtual a la versión 4.

  • Para mantener la compatibilidad de las máquinas virtuales con los hosts ESX/ESXi 4.x, actualice la máquina virtual en un host ESX/ESXi 4.x, lo que provoca una actualización de la máquina virtual a la versión 7.

  • Para mantener la compatibilidad de las máquinas virtuales con los hosts ESXi 5.0, actualice la máquina virtual en un host ESX/ESXi 5.0, lo que provoca una actualización de la máquina virtual a la versión 8.

  • Para mantener la compatibilidad de las máquinas virtuales con los hosts ESXi 5.1, actualice la máquina virtual en un host ESX/ESXi 5.1, lo que provoca una actualización de la máquina virtual a la versión 9.

  • Para mantener la compatibilidad de las máquinas virtuales con los hosts ESXi 5.5, actualice la máquina virtual en un host ESX/ESXi 5.5, lo que provoca una actualización de la máquina virtual a la versión 10.

Una máquina virtual puede tener una versión de hardware anterior a la del host en la que se ejecuta en los casos siguientes:

  • Se migra una máquina virtual creada en un host ESX/ESXi 4.x o anterior a un host ESXi 5.0.

  • Se crea una máquina virtual en un host ESXi 5.0 con un disco virtual existente que se creó en un host ESX/ESXi 4.x o anterior.

  • Se agrega un disco virtual creado en un host ESX/ESXi 4.x o anterior a una máquina virtual creada en un host ESXi 5.0.

Es posible crear, editar y ejecutar distintas versiones de máquina virtual en un host si el host admite esa versión. En ocasiones, las acciones de una máquina virtual en un host son limitadas o la máquina virtual no tiene acceso al host.

Tabla 1. Hosts ESXi y versiones de hardware de máquina virtual compatibles

Versión 11

Versión 10

Versión 9

Versión 8

Versión 7

Versión 4

Compatible con la versión de vCenter Server

ESXi 6.0

Crear, editar, ejecutar

Crear, editar, ejecutar

Crear, editar, ejecutar

Crear, editar, ejecutar

Crear, editar, ejecutar

Crear, editar, ejecutar

vCenter Server 6.0

ESXi 5.5

No compatible

Crear, editar, ejecutar

Crear, editar, ejecutar

Crear, editar, ejecutar

Crear, editar, ejecutar

Crear, editar, ejecutar

vCenter Server 5.5 y posteriores

ESXi 5.1

No compatible

No compatible

Crear, editar, ejecutar

Crear, editar, ejecutar

Crear, editar, ejecutar

Crear, editar, ejecutar

vCenter Server 5.1 y posteriores

ESXi 5.0

No compatible

No compatible

No compatible

Crear, editar, ejecutar

Crear, editar, ejecutar

Crear, editar, ejecutar

vCenter Server 5.0 y posteriores

ESX/ESXi 4.x

No compatible

No compatible

No compatible

No compatible

Crear, editar, ejecutar

Crear, editar, ejecutar

vCenter Server 4.x y posteriores

ESX/ESXi 3.x

No compatible

No compatible

No compatible

No compatible

No compatible

Crear, editar, ejecutar

vCenter Server 3.5 y posteriores

Las versiones de hardware de máquinas virtuales anteriores a la versión de hardware 4 no son compatibles con los hosts ESXi 6.0. Para aprovechar por completo estas máquinas virtuales, actualice el hardware virtual.

Nota:

Las características de las versiones de hardware de máquina virtual 9, 10 y 11 están limitadas a las versiones de hardware 8 y anteriores cuando se está conectado al host ESXi o al sistema vCenter Server con vSphere Client.